Package org.opensaml.core.config.provider

# Class SystemPropertyFilesystemConfigurationPropertiesSource

java.lang.Object
org.opensaml.core.config.provider.AbstractFilesystemConfigurationPropertiesSource
org.opensaml.core.config.provider.SystemPropertyFilesystemConfigurationPropertiesSource

All Implemented Interfaces:
  `ConfigurationPropertiesSource`

public class SystemPropertyFilesystemConfigurationPropertiesSource extends AbstractFilesystemConfigurationPropertiesSource
Concrete implementation of filesystem configuration properties source which obtains the filename value from a system property.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROPERTY_FILE_NAME`
The system property name for the filename to use.

## Constructor Summary

Constructors
Constructor
Description
`SystemPropertyFilesystemConfigurationPropertiesSource()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getFilename()`
Get the configuration properties filename.

### Methods inherited from class org.opensaml.core.config.provider.AbstractFilesystemConfigurationPropertiesSource

`getProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PROPERTY_FILE_NAME

@Nonnull @NotEmpty public static final String PROPERTY_FILE_NAME
The system property name for the filename to use.

See Also:
  - Constant Field Values

## Constructor Details

### SystemPropertyFilesystemConfigurationPropertiesSource

public SystemPropertyFilesystemConfigurationPropertiesSource()

## Method Details

### getFilename

@Nullable protected String getFilename()
Get the configuration properties filename.

Specified by:
  `getFilename` in class `AbstractFilesystemConfigurationPropertiesSource`
Returns:
  the absolute filename